SFTPGO-INITPROVIDER(1)

NAME
sftpgo-initprovider - Initialize and/or updates the configured data provider

SYNOPSIS
sftpgo initprovider [flags]

DESCRIPTION
This command reads the data provider connection details from the specified configuration file and creates the initial structure or update the existing one, as needed.

Some data providers such as bolt and memory does not require an initialization but they could require an update to the existing data after upgrading SFTPGo.

For SQLite/bolt providers the database file will be auto-created if missing.

For PostgreSQL and MySQL providers you need to create the configured database, this command will create/update the required tables as needed.

To initialize/update the data provider from the configuration directory simply use:

$ sftpgo initprovider

Any defined action is ignored. Please take a look at the usage below to customize the options.

OPTIONS
-c, --config-dir="."
    Location of the config dir. This directory is used as the base for files with a relative path, e.g. the private keys for the SFTP server or the database file if you use a file-based data provider. The configuration file, if not explicitly set, is looked for in this dir. We support reading from JSON, TOML, YAML, HCL, envfile and Java properties config files. The default config file name is "sftpgo" and therefore "sftpgo.json", "sftpgo.yaml" and so on are searched. This flag can be set using SFTPGO_CONFIG_DIR env var too.

--config-file=""
    Path to SFTPGo configuration file. This flag explicitly defines the path, name and extension of the config file. If must be an absolute path or a path relative to the configuration directory. The specified file name must have a supported extension (JSON, YAML, TOML, HCL or Java properties). This flag can be set using SFTPGO_CONFIG_FILE env var too.

-h, --help[=false]
    help for initprovider

--loaddata-clean[=false]
    Determine if the loaddata-from file should be removed after a successful load. This flag can be set using SFTPGO_LOADDATA_CLEAN env var too. (default "false")

--loaddata-from=""
    Load users and folders from this file. The file must be specified as absolute path and it must contain a backup obtained using the "dumpdata" REST API or compatible content. This flag can be set using SFTPGO_LOADDATA_FROM env var too.

--loaddata-mode=1
    Restore mode for data to load:
  0 - new users are added, existing users are
      updated
  1 - New users are added, existing users are
      not modified This flag can be set using SFTPGO_LOADDATA_MODE env var too.

SEE ALSO
sftpgo(1)